Bug 34512 - remove kdm/autostart lightdm/autostart variabels
remove kdm/autostart lightdm/autostart variabels
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-09 13:36 CEST by Felix Botner
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-04-09 13:36:36 CEST
Kubuntu's default login manager is now lightdm and kdm is no longer installed during bootstrapping. So we can remove conffiles/etc/init/kdm.conf and the lightdm/autostart var.
Comment 1 Felix Botner univentionstaff 2014-04-09 15:11:46 CEST
removed package dependency to univention-upstart in univention-corporate-client and add template conffiles/etc/init/lightdm.conf (without lightdm/autostart) to univention-corporate-client.

(also dropped avahi-daemon.conf and kdm.conf as they are no longer needed)
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-14 13:14:33 CEST
The KDM template and the UCR variable are gone.

But the changes to the lightdm Upstart deps broke the setting of the keyboard layout:

xorg/keyboard/options/KdbLayout is set to "de" and the resulting /etc/default/keyboard sets

XKBLAYOUT="de"

as well. But after the boot the keymap isn't set active in LightDM (e.g. when typing in a username with umlaut) and KDE (e.g. in Konsole).

This seems to be related to the dependencies of the Upstart job. I made a few restarts and in one case it worked after a manual restart of lightdm.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-04-15 12:09:04 CEST
(In reply to Moritz Muehlenhoff from comment #2)
> The KDM template and the UCR variable are gone.
> 
> But the changes to the lightdm Upstart deps broke the setting of the
> keyboard layout:
> 
> xorg/keyboard/options/KdbLayout is set to "de" and the resulting
> /etc/default/keyboard sets
> 
> XKBLAYOUT="de"
> 
> as well. But after the boot the keymap isn't set active in LightDM (e.g.
> when typing in a username with umlaut) and KDE (e.g. in Konsole).
> 
> This seems to be related to the dependencies of the Upstart job. I made a
> few restarts and in one case it worked after a manual restart of lightdm.

This was Bug 34537, so this is in fact VERIFIED.
Comment 4 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:41 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".